Welcome to the CrackBerry Forums Create Your Account or Ask a Question Answers in 5 minutes - no registration required!
Results 1 to 2 of 2
  1. sherbir's Avatar
    CrackBerry Newbie

    Posts
    1 Posts
    Thread AuthorThread Author   #1  

    Default Warning - Deprecated API

    I find something unusual in my Blackberry 9700 event log. This says System - Warning - Deprecated API.

    What does it mean ? See the screenshot.Warning - Deprecated API-screen_20130222_124845.jpg
  2. jrohland's Avatar
    CrackBerry Genius

    Posts
    1,978 Posts
    Global Posts
    2,042 Global Posts
    #2  

    Default

    It looks like AppManager is using a API (application program interface) call that is no longer supported. This is common as the OS maker (BlackBerry in this case) changes how they want app developers to call functions in the OS. They have probably replaced the call used by the app with a different method but the old method was left available for old apps so they don't stop working.

    Bottom line is, don't worry about it.

Similar Threads

  1. O2 Unlocking Codes Warning
    By tmag2005 in forum BlackBerry Unlocking
    Replies: 2
    Last Post: 02-08-2008, 12:22 AM
  2. What is Blackberry API Library? Do I need it?
    By DubyaEl in forum BlackBerry Pearl 8100
    Replies: 1
    Last Post: 11-06-2007, 08:28 AM
  3. Replies: 3
    Last Post: 08-16-2007, 11:08 AM
  4. Developing Application - API - TWS
    By zlvd in forum Developers Lounge
    Replies: 1
    Last Post: 08-06-2007, 06:11 PM
  5. Upgrading the platform software warning
    By bcoles in forum BlackBerry 8800, 8820
    Replies: 1
    Last Post: 06-15-2007, 09:23 AM

Posting Permissions